Skip to main content
GET
/
v1
/
managedPayments
/
credit
/
lines
/
{lineId}
/
transfers
List credit transfers
curl --request GET \
  --url https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "2cbbce57-17b2-4133-8f63-3f2d81fc3332",
      "amount": {
        "amount": "50.00",
        "currency": "USD"
      },
      "status": "disbursed",
      "dueDate": "2026-03-18T14:34:16.945Z",
      "disbursedDate": "2026-03-11T14:34:16.945Z",
      "createDate": "2026-03-11T14:34:16.564923Z",
      "updateDate": "2026-03-11T14:34:17.136257Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lineId
string<uuid>
required

Universally unique identifier (UUID v4) of the credit line.

Example:

"01c39206-64e9-4e30-8649-4e187cfcbf6d"

Query Parameters

status
enum<string>

Filters transfers by their current status.

Available options:
funds_reserved,
requested,
rejected,
disbursed,
expired,
canceled,
closed,
paid,
past_due
from
string<date-time>

Queries items created since the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

to
string<date-time>

Queries items created before the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination.

It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageAfter.

pageAfter
string

A collection ID value used for pagination.

It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageBefore.

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

receiveJobId
string<uuid>

Filters transfers by a specific receive job ID.

Response

Successfully retrieved a list of credit transfers.

data
object[]